require('requires')

state = 0

function love.load()
	--main_load()
end

function love.update(dt)
	love.timer.sleep(.001)
	for k,d in ipairs(objects) do
		if notNil(d.update) then
			d:update()
		end
	end
	--main_update()
end

function love.draw(dt)
	for k,d in ipairs(objects) do
		love.graphics.reset()
		love.graphics.setBackgroundColor(255,255,255)
		if notNil(d.draw) then
				d:draw()
		end
	end
	--main_draw()
end

function love.keypressed(key,unicode)
	--if key == "p" then --toggle pause
	--	paused = not paused
	--	print("paused: ",paused)
	--end
	if key == "f11" then
		love.graphics.toggleFullscreen()
		fullscreen = not fullscreen
		--iniWrite("fullscreen",tostring(fullscreen))
	end
	if key == "escape" then
		love.event.quit()
	end
	for k,d in ipairs(objects) do
		if notNil(d.update) then
			d:keypress(key,unicode)
		end
	end
end

function love.conf(t)
    t.screen.vsync = false
end

function love.quit()

end

------------------------------------------------------------------------------------------------------------------------------
